program main
implicit none
integer*4 omp_get_thread_num
integer*4 i

write ( *, * ) 'A sequential hello to you!'

!$omp parallel do
do i = 1,15
  write ( *, * ) ' Parallel hello''s to you!', i, omp_get_thread_num ()
end do
!$omp end parallel do

stop
end